curl -X GET 'https://api.example.com/projects/tenant/tenant_acme' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "project_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_api",
"name": "API Service"
},
{
"id": "project_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_web",
"name": "Web App"
}
]
Projects
List Projects by Tenant
List all projects in a tenant
GET
/
projects
/
tenant
/
{tenantId}
curl -X GET 'https://api.example.com/projects/tenant/tenant_acme' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "project_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_api",
"name": "API Service"
},
{
"id": "project_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_web",
"name": "Web App"
}
]
Path Parameters
string
required
The tenant ID
Projects can also be listed by workspace:
GET /projects/workspace/{workspaceId}.Response
Returns an array of project objects.curl -X GET 'https://api.example.com/projects/tenant/tenant_acme' \
-H 'Authorization: Bearer YOUR_TOKEN'
[
{
"id": "project_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_api",
"name": "API Service"
},
{
"id": "project_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
"tenantId": "tenant_acme",
"workspaceId": "workspace_main",
"scopeId": "scope_project_web",
"name": "Web App"
}
]
Was this page helpful?
⌘I